AWS IoT Device SDK C++ v2: Aws::Iotshadow::ShadowStateWithDelta Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::ShadowStateWithDelta Class Referencefinal

`#include <ShadowStateWithDelta.h>`

## Public Member Functions
| ShadowStateWithDelta ()=default
| ShadowStateWithDelta (const Crt::JsonView &doc)
ShadowStateWithDelta & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::JsonObject > | Delta
Aws::Crt::Optional< Aws::Crt::JsonObject > | Reported
Aws::Crt::Optional< Aws::Crt::JsonObject > | Desired

## Detailed Description

(Potentially partial) state of an AWS IoT thing's shadow. Includes the delta between the reported and desired states.

## Constructor & Destructor Documentation

## ◆ ShadowStateWithDelta() [1/2]

Aws::Iotshadow::ShadowStateWithDelta::ShadowStateWithDelta | ( |  | ) |
| default

## ◆ ShadowStateWithDelta() [2/2]

Aws::Iotshadow::ShadowStateWithDelta::ShadowStateWithDelta | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

ShadowStateWithDelta & Aws::Iotshadow::ShadowStateWithDelta::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::ShadowStateWithDelta::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ Delta

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotshadow::ShadowStateWithDelta::Delta

The delta between the reported and desired states.

## ◆ Desired

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotshadow::ShadowStateWithDelta::Desired

The desired shadow state (from external services and devices).

## ◆ Reported

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotshadow::ShadowStateWithDelta::Reported

The (last) reported shadow state from the device.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/ShadowStateWithDelta.h
- shadow/source/ShadowStateWithDelta.cpp